Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Mar 2021 14:10:21 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 19 Mar 2021 09:42:33 +0000
> 
> I've a patch that works modifying `load' to prevent native code being
> loaded when a file with .elc suffix is explicitly presented as argument.
> 
> I was going to post it but re-reading your message I now wanted to ask:
> do we want to act at `load' level or at `load-file' + `load-library'
> level?

The former, I think.  This is to keep the original semantics of 'load'
as it existed before the native-compilation: if you say

  (load "foo.el")

Emacs loads the .el file, even if the corresponding .elc file exists.

But if doing that in 'load' causes some trouble, I think we should at
least do this on the level of 'load-file' and 'load-library'.

Thanks.